
Figure - Bug #115045
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】tlog 没有修改保存日志至外部接口，且bugreprot没有保存至tlog压缩包中
2023-01-04 10:56 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: High Due date: 2023-02-16

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-07

Test Type: ST Root cause: 没有指定bugreport的输出路径

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，点击右上角进入设置

3、修改设备保日志保存路径，输出至sd卡或外部存储(External Storage)空间或本地/sdcard/

4、点击start\stop后

5、再次查看保存tlog文件

【预期结果】

3.有接口可以进行设置（后期娱乐屏可以接外部存储和sd卡）

5.tlog所有日志均在打包的tlog文件中

【实际结果】

3.没有对应接口，默认保存在/sdcard/tlog/下

5.bluetooth 日志和bugreport日志没有输出到tlog压缩包中

History

#1 - 2023-01-12 15:30 - CD SYSTEM-夏旭

- Due date set to 2023-01-12

#2 - 2023-01-12 19:54 - CD SYSTEM-夏旭

- % Done changed from 0 to 50

    1. apk点击stop后生成bugreport文件，文件的默认存放位置为/bugreports/

    2. 目前使用脚本复制到tlog存在selinux问题，目前还在添加权限

#3 - 2023-01-18 18:28 - CD SYSTEM-夏旭

查看bugreport的权限是600，shell，shell，没有权限去执行复制操作

正在询问其他组的同事，怎么去添加selinux权限，同时看看其他项目有没有同样的操作
#4 - 2023-02-03 11:30 - CD SYSTEM-夏旭

- Due date changed from 2023-01-12 to 2023-02-16

#5 - 2023-02-07 09:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178195 general/platform/vendor/thundercom

m/apps/LogSystem

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

xu.xia@thundersoft.com

system:log:tlog add bugreport file/system/bin/bugreportz -s > /data/tlog/manual/bugreports/xx.zipTC-RID: 1200-0800102IssueID: TS-R-BUG-115045Change-Id:

Ia75fde0203785f47487d8dbb9a334cf0cafb2321

#6 - 2023-02-07 14:06 - CD SYSTEM-夏旭

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-07

- Root cause set to 没有指定bugreport的输出路径

■ Current conclusion

已处理。apk点击stop之后，在/data/tlog/manual/bugreports/路径下有bugreport文件

压缩包默认保存在/sdcard/tlog/下，修改保存路径的需求不大

■ My analysis

没有指定bugreport的输出路径，所以在tlog路径下没有bugreport的文件

■ Next action 

测试验证

#7 - 2023-02-07 14:09 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to 移动测试一组_CDTS 刘强

#8 - 2023-02-07 16:57 - CD SYSTEM-夏旭

- Status changed from New to RESOLVED

#9 - 2023-02-09 13:41 - 移动测试一组_CDTS 刘强

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0073.X101

验证结果：验证通过

#10 - 2023-02-09 13:51 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#11 - 2023-02-09 13:51 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
